> ## Documentation Index
> Fetch the complete documentation index at: https://slidesgpt.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Embed a presentation

> Returns a redirect URL to view the presentation in Microsoft PowerPoint Online viewer, which can be used in an iframe or opened directly



## OpenAPI

````yaml GET /v1/presentations/{id}/embed
openapi: 3.1.0
info:
  title: Web
  version: 0.1.0
servers:
  - url: https://api.slidesgpt.com
    description: SlidesGPT API
security:
  - bearerAuth: []
tags: []
paths:
  /v1/presentations/{id}/embed:
    get:
      tags:
        - Presentations
      summary: Get embed URL for a presentation
      description: >-
        Returns a redirect URL to view the presentation in Microsoft PowerPoint
        Online viewer, which can be used in an iframe or opened directly
      operationId: embedPresentation
      parameters:
        - in: path
          name: id
          required: true
          description: The id of the presentation
          schema:
            type: string
            description: The id of the presentation
      responses:
        '307':
          description: Redirect to the embedded presentation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresentationEmbed'
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    PresentationEmbed:
      type: object
      properties:
        location:
          type: string
          format: uri
          description: The redirect location to the embedded presentation.
      required:
        - location
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````